Index: contrib/repo-conf/Makefile.am
===================================================================
--- contrib/repo-conf/Makefile.am	(revision eb64f2c6ff99ea243b471f4e0e341f7561891bbb)
+++ contrib/repo-conf/Makefile.am	(revision 9d3f291ae959bc63a7011454039fbeb8b68ea48b)
@@ -11,4 +11,5 @@
 	@$(mkdir_p) apt/sources.list.d
 	sed -e 's,[@]RTEMS_API[@],@RTEMS_API@,' \
+	  -e 's,[@]OS_SUBDIR[@],@OS_SUBDIR@,' \
 	  < $(srcdir)/apt/sources.list.d/rtems.list.in \
 	  > apt/sources.list.d/rtems-@RTEMS_API@.list
@@ -25,4 +26,5 @@
 	sed -e 's,[@]sysconfdir[@],$(sysconfdir),' \
 	  -e 's,[@]RTEMS_API[@],@RTEMS_API@,' \
+	  -e 's,[@]OS_SUBDIR[@],@OS_SUBDIR@,' \
 	  < $(srcdir)/yum.repos.d/rtems.repo.in \
 	  > yum.repos.d/rtems-@RTEMS_API@.repo
Index: contrib/repo-conf/apt/sources.list.d/rtems.list.in
===================================================================
--- contrib/repo-conf/apt/sources.list.d/rtems.list.in	(revision eb64f2c6ff99ea243b471f4e0e341f7561891bbb)
+++ contrib/repo-conf/apt/sources.list.d/rtems.list.in	(revision 9d3f291ae959bc63a7011454039fbeb8b68ea48b)
@@ -2,20 +2,20 @@
 ## http://apt-rpm.laiskiainen.org/
 
-repomd ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ fedora/$(VERSION)/$(ARCH)
+repomd ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@$(VERSION)/$(ARCH)
 
 ## uncomment the line below if you want to access the *.src.rpms
-# repomd-src ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ fedora/$(VERSION)/SRPMS
+# repomd-src ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@$(VERSION)/SRPMS
 
 ## uncomment the line below if you want to access the *-debuginfo*.rpms
-# repomd-debug ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ fedora/$(VERSION)/$(ARCH)/debug
+# repomd-debug ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@$(VERSION)/$(ARCH)/debug
 
 
 ## rtems/testing repos
 
-# repomd ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@ fedora/$(VERSION)/$(ARCH)
+# repomd ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@ @OS_SUBDIR@$(VERSION)/$(ARCH)
 
 ## uncomment the line below if you want to access the *.src.rpms
-# repomd-src ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@ fedora/$(VERSION)/SRPMS
+# repomd-src ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@ @OS_SUBDIR@$(VERSION)/SRPMS
 
 ## uncomment the line below if you want to access the *-debuginfo*.rpms
-# repomd-debug ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@ fedora/$(VERSION)/$(ARCH)/debug
+# repomd-debug ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@ @OS_SUBDIR@$(VERSION)/$(ARCH)/debug
Index: contrib/repo-conf/yum.repos.d/rtems.repo.in
===================================================================
--- contrib/repo-conf/yum.repos.d/rtems.repo.in	(revision eb64f2c6ff99ea243b471f4e0e341f7561891bbb)
+++ contrib/repo-conf/yum.repos.d/rtems.repo.in	(revision 9d3f291ae959bc63a7011454039fbeb8b68ea48b)
@@ -1,5 +1,5 @@
 [rtems-@RTEMS_API@]
 name=RTEMS $releasever - $basearch - RTEMS
-baseurl=ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@/fedora/$releasever/$basearch
+baseurl=ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@$releasever/$basearch
 # metadata_expire=0
 enabled=1
@@ -10,5 +10,5 @@
 [rtems-@RTEMS_API@-source]
 name=Fedora $releasever - $basearch - RTEMS sources
-baseurl=ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@/fedora/$releasever/SRPMS
+baseurl=ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@$releasever/SRPMS
 # metadata_expire=0
 enabled=0
@@ -19,5 +19,5 @@
 [rtems-@RTEMS_API@-debug]
 name=Fedora $releasever - $basearch - RTEMS sources
-baseurl=ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@/fedora/$releasever/$basearch/debug
+baseurl=ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@$releasever/$basearch/debug
 # metadata_expire=0
 enabled=0
@@ -29,5 +29,5 @@
 [rtems-@RTEMS_API@-testing]
 name=RTEMS $releasever - $basearch - RTEMS
-baseurl=ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@/fedora/$releasever/$basearch
+baseurl=ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@/@OS_SUBDIR@$releasever/$basearch
 # metadata_expire=0
 enabled=0
@@ -38,5 +38,5 @@
 [rtems-@RTEMS_API@-testing-source]
 name=Fedora $releasever - $basearch - RTEMS sources
-baseurl=ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@/fedora/$releasever/SRPMS
+baseurl=ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@/@OS_SUBDIR@$releasever/SRPMS
 # metadata_expire=0
 enabled=0
@@ -47,5 +47,5 @@
 [rtems-@RTEMS_API@-testing-debug]
 name=Fedora $releasever - $basearch - RTEMS sources
-baseurl=ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@/fedora/$releasever/$basearch/debug
+baseurl=ftp://ftp.rtems.org/pub/rtems/linux/testing/@RTEMS_API@/@OS_SUBDIR@$releasever/$basearch/debug
 # metadata_expire=0
 enabled=0
